


var bIsIE  = (navigator.appVersion.indexOf("MSIE") != -1) ? true : false;
var bIsWindows = (navigator.appVersion.toLowerCase().indexOf("win") != -1) ? true : false;
var bIsOpera = (navigator.userAgent.indexOf("Opera") != -1) ? true : false;

function GetVers()
{
	var vers;
	var activeXObj;
	var e;
	try {
		// version will be set for version 7 players or higher
		activeXObj = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7");
		vers = activeXObj.GetVariable("$version");
	} catch (e) {
	}

	if (!vers)
	{
		try {
			// version will be set for 6 players
			activeXObj = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6");
			
			// installed player is some revision of 6.0
			
			// default to the first public version
			vers = "WIN 6,0,21,0";

			// throws if AllowScripAccess does not exist (introduced in 6.0r47)		
			activeXObj.AllowScriptAccess = "always";

			// safe to call for 6.0r47 or greater
			vers = activeXObj.GetVariable("$version");

		} catch (e) {
		}
	}

	if (!vers)
	{
		try {
			// version will be set for 4 or 5 players
			activeXObj = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.3");
			vers = activeXObj.GetVariable("$version");
		} catch (e) {
		}
	}

	if (!vers)
	{
		try {
			// version will be set for 3 player
			activeXObj = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.3");
			vers = "WIN 3,0,18,0";
		} catch (e) {
		}
	}

	if (!vers)
	{
		try {
			// version will be set for 2 player
			activeXObj = new ActiveXObject("ShockwaveFlash.ShockwaveFlash");
			vers = "WIN 2,0,0,11";
		} catch (e) {
			vers = -1;
		}
	}
	
	return vers;
}

// Used to detect Flash Player PlugIn version info
function GetSwfVer(){
	// NS/Opera version >= 3 check for Flash plugin in plugin array
	var flashVer = -1;
	
	if (navigator.plugins != null && navigator.plugins.length > 0) {
		if (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]) {
			var swVer2 = navigator.plugins["Shockwave Flash 2.0"] ? " 2.0" : "";
			var flashDescription = navigator.plugins["Shockwave Flash" + swVer2].description;			
			var descArray = flashDescription.split(" ");
			var tempArrayMajor = descArray[2].split(".");
			var versionMajor = tempArrayMajor[0];
			var versionMinor = tempArrayMajor[1];
			if ( descArray[3] != "" ) {
				tempArrayMinor = descArray[3].split("r");
			} else {
				tempArrayMinor = descArray[4].split("r");
			}
			var versionRevision = tempArrayMinor[1] > 0 ? tempArrayMinor[1] : 0;
			var flashVer = versionMajor + "." + versionMinor + "." + versionRevision;
		}
	}
	// MSN/WebTV 2.6 supports Flash 4
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.6") != -1) flashVer = 4;
	// WebTV 2.5 supports Flash 3
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.5") != -1) flashVer = 3;
	// older WebTV supports Flash 2
	else if (navigator.userAgent.toLowerCase().indexOf("webtv") != -1) flashVer = 2;
	else if ( bIsIE && bIsWindows && !bIsOpera ) {
		flashVer = GetVers();
	}	
	return flashVer;
}

// determines if the specified flash player is available
function GetPlayerVer(majorVers, minorVers, revision)
{
	versionStr = GetSwfVer();
	if (versionStr == -1 ) {
		return false;
	} else if (versionStr != 0) {
		if(bIsIE && bIsWindows && !bIsOpera) {
			// Given "WIN 2,0,0,11"
			tempArray         = versionStr.split(" "); 	// ["WIN", "2,0,0,11"]
			tempString        = tempArray[1];			// "2,0,0,11"
			versionArray      = tempString.split(",");	// ['2', '0', '0', '11']
		} else {
			versionArray      = versionStr.split(".");
		}
		var versionMajor      = versionArray[0];
		var versionMinor      = versionArray[1];
		var versionRevision   = versionArray[2];

        	// is the major.revision >= requested major.revision AND the minor version >= requested minor
		if (versionMajor > parseFloat(majorVers)) {
			return true;
		} else if (versionMajor == parseFloat(majorVers)) {
			if (versionMinor > parseFloat(minorVers))
				return true;
			else if (versionMinor == parseFloat(minorVers)) {
				if (versionRevision >= parseFloat(revision))
					return true;
			}
		}
		return false;
	}
}

function AddExt(src, ext)
{
  if (src.indexOf('?') != -1)
    return src.replace(/\?/, ext+'?'); 
  else
    return src + ext;
}

function EmbedPlayer(objAttrs, params, embedAttrs) 
{ 
    var str = '';
    if (bIsIE && bIsWindows && !bIsOpera)
    {
  		str += '<object  style="margin:0; padding:0"';
  		for (var i in objAttrs)
  			str += i + '="' + objAttrs[i] + '" ';
  		for (var i in params)
  			str += '><param name="' + i + '" value="' + params[i] + '" /> ';
  		str += '></object>';
    } else {
  		str += '<embed style="margin:0; padding:0"';
  		for (var i in embedAttrs)
  			str += i + '="' + embedAttrs[i] + '" ';
  		str += '> </embed>';
    }

    document.write(str);
}

function CreatePlayer(){
  var ret = 
    GetArgs
    (  arguments, ".swf", "movie", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
     , "application/x-shockwave-flash"
    );
  EmbedPlayer(ret.objAttrs, ret.params, ret.embedAttrs);
}

function GetArgs(args, ext, srcParamName, classid, mimeType){
  var ret = new Object();
  ret.embedAttrs = new Object();
  ret.params = new Object();
  ret.objAttrs = new Object();
  for (var i=0; i < args.length; i=i+2){
    var currArg = args[i].toLowerCase();    

    switch (currArg){	
      case "classid":
        break;
      case "pluginspage":
        ret.embedAttrs[args[i]] = args[i+1];
        break;
      case "src":
      case "movie":	
        args[i+1] = AddExt(args[i+1], ext);
        ret.embedAttrs["src"] = args[i+1];
        ret.params[srcParamName] = args[i+1];
        break;
      case "onafterupdate":
      case "onbeforeupdate":
      case "onblur":
      case "oncellchange":
      case "onclick":
      case "ondblClick":
      case "ondrag":
      case "ondragend":
      case "ondragenter":
      case "ondragleave":
      case "ondragover":
      case "ondrop":
      case "onfinish":
      case "onfocus":
      case "onhelp":
      case "onmousedown":
      case "onmouseup":
      case "onmouseover":
      case "onmousemove":
      case "onmouseout":
      case "onkeypress":
      case "onkeydown":
      case "onkeyup":
      case "onload":
      case "onlosecapture":
      case "onpropertychange":
      case "onreadystatechange":
      case "onrowsdelete":
      case "onrowenter":
      case "onrowexit":
      case "onrowsinserted":
      case "onstart":
      case "onscroll":
      case "onbeforeeditfocus":
      case "onactivate":
      case "onbeforedeactivate":
      case "ondeactivate":
      case "type":
      case "codebase":
      case "id":
        ret.objAttrs[args[i]] = args[i+1];
        break;
      case "width":
      case "height":
      case "align":
      case "vspace": 
      case "hspace":
      case "class":
      case "title":
      case "accesskey":
      case "name":
      case "tabindex":
        ret.embedAttrs[args[i]] = ret.objAttrs[args[i]] = args[i+1];
        break;
      default:
        ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i+1];
    }
  }
  ret.objAttrs["classid"] = classid;
  if (mimeType) ret.embedAttrs["type"] = mimeType;
  return ret;
}


